from typing import Any

from graphene import Mutation


class BaseMutation(Mutation):  # type: ignore [misc]
    def __init__(self, *args: list[Any], **kwargs: dict[Any, Any]) -> None:
        super().__init__(*args, **kwargs)

    @staticmethod
    def mutate(**kwargs: Any) -> None:
        pass
